Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0023984
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSminoralways2013-06-05 05:492013-07-24 17:17
ReportersureshbabuView Statuspublic 
Assigned Tomarvintm 
PrioritynormalResolutionfixedFixed in VersionRMP25
StatusclosedFix in branchFixed in SCM revision534e6a8019e8
ProjectionnoneETAnoneTarget VersionRMP26
OSLinux 64 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionProfessional ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionSCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0023984: At webpos when i pay a receipt using use credit option, when i reopen the receipt, paid label wrongly appears

DescriptionAt webpos when i pay a receipt using use credit option, when i reopen the receipt, paid label wrongly appears
Steps To ReproduceAt webpos when i pay a receipt using use credit option, when i reopen the receipt, paid label wrongly appears
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0060003)
jecharri (developer)
2013-07-16 13:04

Ticket 22423
(0060069)
hgbot (developer)
2013-07-17 11:05

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 534e6a8019e8112cbb46c918bdc463fc9fcc73d8
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Wed Jul 17 11:02:58 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/534e6a8019e8112cbb46c918bdc463fc9fcc73d8 [^]

Fixed issue 23984. Fixed issue 23878. If an order paid on credit is loaded, the 'Paid' label will slightly change to display that it was paid on credit^C

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M web/org.openbravo.retail.posterminal/js/components/order.js
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0060074)
thirumalaik (developer)
2013-07-17 12:04

Please check the following business scenario.

A known Customer "ABC Services" have credit limit of 10,000 EUR.(no outstanding transaction exists)

In VBS POS Terminal,on Date July 17,2013(morning)
Ticket No - VBS/123 , amount is 7000 and put it as credit.

In VBS POS Terminal,on Date July 17,2013(evening)
Customer paying amount 7000 in same terminal.How can we receive the amount 7000 against Ticket No - VBS/123 in terminal ?.
User in Terminal may not have access to back-end.(license limitation,access limitation).
(0060077)
marvintm (developer)
2013-07-17 13:26

Right now in the Web POS you cannot pay a ticket you previously paid on credit. This operation needs to be done through the backend.
(0060207)
guilleaer (developer)
2013-07-23 20:03

Verified

In next versions of gift card module, it should indicate that a ticket without payments was not paid with credit.
(0060244)
hgbot (developer)
2013-07-24 13:41

Repository: erp/pmods/org.openbravo.retail.posterminal-col
Changeset: 534e6a8019e8112cbb46c918bdc463fc9fcc73d8
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Wed Jul 17 11:02:58 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-col/rev/534e6a8019e8112cbb46c918bdc463fc9fcc73d8 [^]

Fixed issue 23984. Fixed issue 23878. If an order paid on credit is loaded, the 'Paid' label will slightly change to display that it was paid on credit^C

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M web/org.openbravo.retail.posterminal/js/components/order.js
M web/org.openbravo.retail.posterminal/js/model/order.js
---

- Issue History
Date Modified Username Field Change
2013-06-05 05:49 sureshbabu New Issue
2013-06-05 05:49 sureshbabu Assigned To => marvintm
2013-07-16 13:03 jecharri Target Version => RMP26
2013-07-16 13:04 jecharri Note Added: 0060003
2013-07-17 11:05 hgbot Checkin
2013-07-17 11:05 hgbot Note Added: 0060069
2013-07-17 11:05 hgbot Status new => resolved
2013-07-17 11:05 hgbot Resolution open => fixed
2013-07-17 11:05 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/534e6a8019e8112cbb46c918bdc463fc9fcc73d8 [^]
2013-07-17 11:48 thirumalaik Issue Monitored: thirumalaik
2013-07-17 12:04 thirumalaik Note Added: 0060074
2013-07-17 13:26 marvintm Note Added: 0060077
2013-07-23 20:03 guilleaer Review Assigned To => guilleaer
2013-07-23 20:03 guilleaer Note Added: 0060207
2013-07-23 20:03 guilleaer Status resolved => closed
2013-07-23 20:03 guilleaer Fixed in Version => RMP25
2013-07-24 13:41 hgbot Checkin
2013-07-24 13:41 hgbot Note Added: 0060244
2013-07-24 13:41 hgbot Status closed => resolved
2013-07-24 13:41 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/534e6a8019e8112cbb46c918bdc463fc9fcc73d8 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-col/rev/534e6a8019e8112cbb46c918bdc463fc9fcc73d8 [^]
2013-07-24 17:17 marvintm Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker